Bug 8807 - Add Carton support to Koha
Summary: Add Carton support to Koha
Status: RESOLVED WISHLIST
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (command-line installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Galen Charlton
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-24 08:54 UTC by Mason James
Modified: 2019-05-02 13:57 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8807 - add Carton support to Koha (1.29 MB, patch)
2012-09-24 12:21 UTC, Mason James
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mason James 2012-09-24 08:54:49 UTC
using Carton, we can select specific versions of perl packages from CPAN
Comment 2 Mason James 2012-09-24 12:21:56 UTC
Created attachment 12468 [details] [review]
Bug 8807 - add Carton support to Koha
Comment 3 Mason James 2012-09-24 12:51:22 UTC
(In reply to comment #2)
> Created attachment 12468 [details] [review]
> Bug 8807 - add Carton support to Koha

patch created from master (bd1f62137de)

steps used to create patch...

1/ install cpanm, (2 methods)
$ sudo cpan  App::cpanminus  or...
$ curl -L http://cpanmin.us | perl - --sudo App::cpanminus

2/ install carton
$ sudo cpanm carton

3/ install needed perl modules (and create a carton.lock file)
$ cd koha.git
$ carton install
Comment 4 Owen Leonard 2014-07-15 19:01:31 UTC
Should this bug be "needs signoff?"
Comment 5 Katrin Fischer 2019-04-28 11:47:52 UTC
Can someone weigh in if this can be closed? No activity since 2012 (no answer to Owens question 2014).
Comment 6 Tomás Cohen Arazi 2019-05-02 13:50:50 UTC
This would be interesting if we had a script to generate the carton files. Because we cannot ditch our current model as it is used for generating the Debian packages.

I like the idea overall, but this bug should probably be closed until someone can work on a complete solution.
Comment 7 Julian Maurice 2019-05-02 13:57:51 UTC
Probably related => bug 19735 (carton uses the cpanfile)